[PATCH] osmo-iuh[master]: jenkins.sh: don't build twice

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Mon Aug 29 14:00:30 UTC 2016


Review at  https://gerrit.osmocom.org/776

jenkins.sh: don't build twice

Instead of building the same .c files twice, rather verify that the
'make regen' target produces identical .c files as are checked in.

Change-Id: I18e7677d8596f61b883e9db57b4bdd2a5c154ec3
---
M contrib/jenkins.sh
1 file changed, 11 insertions(+), 9 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-iuh refs/changes/76/776/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index c24bec2..a9a9bbb 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -55,19 +55,21 @@
 
 marker osmo-iuh
 cd "$base"
-# Build using the checked-in asn1 code
-autoreconf --install --force
-./configure
-$MAKE $PARALLEL_MAKE
-LD_LIBRARY_PATH="$inst/lib" $MAKE check
-# distcheck is broken
-#LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
-make clean
 
-# Build with regenerated asn1 code
 autoreconf --install --force
 ./configure
+
+# Verify that checked-in asn1 code is identical to regenerated asn1 code
 PATH="$inst/bin:$PATH" $MAKE $PARALLEL_MAKE -C src regen
+if ! git diff-files --quiet --ignore-submodules -- ; then
+	echo "ERROR: 'make -C src regen' does not match committed asn1 code"
+	echo
+	git diff
+	echo
+	echo "ERROR: 'make -C src regen' does not match committed asn1 code"
+	exit 1
+fi
+
 $MAKE $PARALLEL_MAKE
 LD_LIBRARY_PATH="$inst/lib" $MAKE check
 # distcheck is broken

-- 
To view, visit https://gerrit.osmocom.org/776
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I18e7677d8596f61b883e9db57b4bdd2a5c154ec3
Gerrit-PatchSet: 1
Gerrit-Project: osmo-iuh
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list